Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Reference für Publication nicht mit Name identifizieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Reference für Publication nicht mit Name identifizieren (237 mal gelesen)
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
surfhai
Mitglied
Konstruktions Ingenieur


Sehen Sie sich das Profil von surfhai an!   Senden Sie eine Private Message an surfhai  Schreiben Sie einen Gästebucheintrag für surfhai

Beiträge: 435
Registriert: 11.08.2004

CATIA Version 5-6 Release 2016 64Bit SP3 Build Number 26 Hotfix 47

erstellt am: 12. Aug. 2020 13:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe folgenden Code mit dem ich einen Body publiziere. Leider habe ich bisher keine Möglichkeit gefunden, den Body anhand von einem Objekt zu identifizieren. Ich musste bisher immer den Namen benutzen. Wenn es zwei Bodies mit dem gleichen Namen gibt, habe ich ein Problem. Wie könnte ich das lösen?

Code:

        Dim partDocument1 As PartDocument
        Set partDocument1 = CATIA.ActiveDocument
       
        Dim product1 As Product
        Set product1 = partDocument1.GetItem(part1.Name)
       
        Dim reference1 As Reference
        Set reference1 = product1.CreateReferenceFromName(part1.Name & "/!" & body1.Name) '<-- Problemstelle
       
        Dim publications1 As Publications
        Set publications1 = product1.Publications
       
        Dim publication1 As Publication
        Set publication1 = publications1.Add(body1.Name)
       
        publications1.SetDirect body1.Name, reference1

Das hier funktioniert nicht:

Code:

        Set reference1 = part1.CreateReferenceFromObject(body1)

Gruß Thorsten

[Diese Nachricht wurde von surfhai am 12. Aug. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11074
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 12. Aug. 2020 14:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für surfhai 10 Unities + Antwort hilfreich

Servus Thomas

AFAIR muss du bei einer Veröffentlichung CreateReferenceFromName benutzen.
Wenn mehrere Objekte den gleichen Namen haben hab ich folgende Ideen:

  • für die Referenz den InternalName nutzen (keine Ahnung ob das geht)
  • das Objekt temporär umbenennen, Referenz und Veröffetlichung erstellen, Objekt wieder umbenennen

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz